For tenancy
curl --request GET \
--url https://api.sortx.co.uk/handovers/tenancies/{tenancyId} \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.sortx.co.uk/handovers/tenancies/{tenancyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/handovers/tenancies/{tenancyId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"tenancyId": "<string>",
"tenancyStatus": "active",
"startsOn": "<string>",
"endsOn": "<string>",
"noticeGivenOn": "<string>",
"unitId": "<string>",
"propertyId": "<string>",
"occupants": [
{
"contactId": "<string>",
"role": "<string>",
"isLead": true
}
],
"moveIn": {
"id": "<string>",
"direction": "move_in",
"status": "open",
"revision": 123,
"handedOverOn": "<string>",
"notice": {
"receivedOn": "<string>",
"method": "in_person",
"documentId": "<string>",
"notes": "<string>"
},
"completedAt": "<string>",
"completedByUserId": "<string>",
"completionNote": "<string>",
"outstandingAtCompletion": [
"<string>"
],
"propertyReleasedAt": "<string>",
"propertyStatusKept": "<string>",
"readings": [
{
"id": "<string>",
"utility": "electricity",
"meterReference": "<string>",
"reading": "<string>",
"readOn": "<string>",
"photoDocumentId": "<string>",
"supersedesId": "<string>",
"correctionReason": "<string>",
"supersededById": "<string>",
"recordedByUserId": "<string>",
"recordedAt": "<string>"
}
],
"forwarding": [
{
"id": "<string>",
"contactId": "<string>",
"address": "<string>",
"email": "<string>",
"phone": "<string>",
"notes": "<string>",
"supersedesId": "<string>",
"supersededById": "<string>",
"recordedByUserId": "<string>",
"recordedAt": "<string>",
"redactedAt": "<string>",
"redactedReason": "<string>"
}
],
"evidence": [
{
"id": "<string>",
"documentId": "<string>",
"role": "inventory",
"note": "<string>",
"name": "<string>",
"kind": "<string>",
"archivedAt": "<string>",
"purged": true,
"linkedByUserId": "<string>",
"linkedAt": "<string>"
}
],
"history": [
{
"id": "<string>",
"action": "<string>",
"detail": {},
"actorUserId": "<string>",
"createdAt": "<string>"
}
],
"createdAt": "<string>",
"updatedAt": "<string>"
},
"moveOut": {
"id": "<string>",
"direction": "move_in",
"status": "open",
"revision": 123,
"handedOverOn": "<string>",
"notice": {
"receivedOn": "<string>",
"method": "in_person",
"documentId": "<string>",
"notes": "<string>"
},
"completedAt": "<string>",
"completedByUserId": "<string>",
"completionNote": "<string>",
"outstandingAtCompletion": [
"<string>"
],
"propertyReleasedAt": "<string>",
"propertyStatusKept": "<string>",
"readings": [
{
"id": "<string>",
"utility": "electricity",
"meterReference": "<string>",
"reading": "<string>",
"readOn": "<string>",
"photoDocumentId": "<string>",
"supersedesId": "<string>",
"correctionReason": "<string>",
"supersededById": "<string>",
"recordedByUserId": "<string>",
"recordedAt": "<string>"
}
],
"forwarding": [
{
"id": "<string>",
"contactId": "<string>",
"address": "<string>",
"email": "<string>",
"phone": "<string>",
"notes": "<string>",
"supersedesId": "<string>",
"supersededById": "<string>",
"recordedByUserId": "<string>",
"recordedAt": "<string>",
"redactedAt": "<string>",
"redactedReason": "<string>"
}
],
"evidence": [
{
"id": "<string>",
"documentId": "<string>",
"role": "inventory",
"note": "<string>",
"name": "<string>",
"kind": "<string>",
"archivedAt": "<string>",
"purged": true,
"linkedByUserId": "<string>",
"linkedAt": "<string>"
}
],
"history": [
{
"id": "<string>",
"action": "<string>",
"detail": {},
"actorUserId": "<string>",
"createdAt": "<string>"
}
],
"createdAt": "<string>",
"updatedAt": "<string>"
},
"checkIn": {
"id": "<string>",
"reference": "<string>",
"status": "due",
"outcome": "satisfactory",
"dueOn": "<string>",
"bookedFor": "<string>",
"completedAt": "<string>",
"findingCount": 123,
"followUpCount": 123
},
"checkOut": {
"id": "<string>",
"reference": "<string>",
"status": "due",
"outcome": "satisfactory",
"dueOn": "<string>",
"bookedFor": "<string>",
"completedAt": "<string>",
"findingCount": 123,
"followUpCount": 123
},
"inspectionsReadable": true,
"followUps": [
{
"findingId": "<string>",
"area": "<string>",
"item": "<string>",
"repair": {
"id": "<string>",
"reference": "<string>",
"status": "<string>"
},
"task": {
"id": "<string>",
"title": "<string>",
"status": "<string>",
"dueOn": "<string>"
}
}
],
"keys": {
"held": [
{
"id": "<string>",
"reference": "<string>",
"label": "<string>",
"unitId": "<string>",
"status": "in_office",
"sequence": 123,
"holderType": "<string>",
"holderContactId": "<string>",
"holderName": "<string>",
"tenancyId": "<string>"
}
],
"ambiguous": [
{
"id": "<string>",
"reference": "<string>",
"label": "<string>",
"unitId": "<string>",
"status": "in_office",
"sequence": 123,
"holderType": "<string>",
"holderContactId": "<string>",
"holderName": "<string>",
"tenancyId": "<string>"
}
],
"available": [
{
"id": "<string>",
"reference": "<string>",
"label": "<string>",
"unitId": "<string>",
"status": "in_office",
"sequence": 123,
"holderType": "<string>",
"holderContactId": "<string>",
"holderName": "<string>",
"tenancyId": "<string>"
}
],
"otherActiveTenancyIds": [
"<string>"
]
},
"outstanding": [
{
"code": "check_in_missing",
"direction": "move_in",
"message": "<string>",
"count": 123
}
]
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}handovers
For tenancy
A tenancy’s move-in and move-out handovers with their visits, keys and what is still outstanding
GET
/
handovers
/
tenancies
/
{tenancyId}
For tenancy
curl --request GET \
--url https://api.sortx.co.uk/handovers/tenancies/{tenancyId} \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.sortx.co.uk/handovers/tenancies/{tenancyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/handovers/tenancies/{tenancyId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"tenancyId": "<string>",
"tenancyStatus": "active",
"startsOn": "<string>",
"endsOn": "<string>",
"noticeGivenOn": "<string>",
"unitId": "<string>",
"propertyId": "<string>",
"occupants": [
{
"contactId": "<string>",
"role": "<string>",
"isLead": true
}
],
"moveIn": {
"id": "<string>",
"direction": "move_in",
"status": "open",
"revision": 123,
"handedOverOn": "<string>",
"notice": {
"receivedOn": "<string>",
"method": "in_person",
"documentId": "<string>",
"notes": "<string>"
},
"completedAt": "<string>",
"completedByUserId": "<string>",
"completionNote": "<string>",
"outstandingAtCompletion": [
"<string>"
],
"propertyReleasedAt": "<string>",
"propertyStatusKept": "<string>",
"readings": [
{
"id": "<string>",
"utility": "electricity",
"meterReference": "<string>",
"reading": "<string>",
"readOn": "<string>",
"photoDocumentId": "<string>",
"supersedesId": "<string>",
"correctionReason": "<string>",
"supersededById": "<string>",
"recordedByUserId": "<string>",
"recordedAt": "<string>"
}
],
"forwarding": [
{
"id": "<string>",
"contactId": "<string>",
"address": "<string>",
"email": "<string>",
"phone": "<string>",
"notes": "<string>",
"supersedesId": "<string>",
"supersededById": "<string>",
"recordedByUserId": "<string>",
"recordedAt": "<string>",
"redactedAt": "<string>",
"redactedReason": "<string>"
}
],
"evidence": [
{
"id": "<string>",
"documentId": "<string>",
"role": "inventory",
"note": "<string>",
"name": "<string>",
"kind": "<string>",
"archivedAt": "<string>",
"purged": true,
"linkedByUserId": "<string>",
"linkedAt": "<string>"
}
],
"history": [
{
"id": "<string>",
"action": "<string>",
"detail": {},
"actorUserId": "<string>",
"createdAt": "<string>"
}
],
"createdAt": "<string>",
"updatedAt": "<string>"
},
"moveOut": {
"id": "<string>",
"direction": "move_in",
"status": "open",
"revision": 123,
"handedOverOn": "<string>",
"notice": {
"receivedOn": "<string>",
"method": "in_person",
"documentId": "<string>",
"notes": "<string>"
},
"completedAt": "<string>",
"completedByUserId": "<string>",
"completionNote": "<string>",
"outstandingAtCompletion": [
"<string>"
],
"propertyReleasedAt": "<string>",
"propertyStatusKept": "<string>",
"readings": [
{
"id": "<string>",
"utility": "electricity",
"meterReference": "<string>",
"reading": "<string>",
"readOn": "<string>",
"photoDocumentId": "<string>",
"supersedesId": "<string>",
"correctionReason": "<string>",
"supersededById": "<string>",
"recordedByUserId": "<string>",
"recordedAt": "<string>"
}
],
"forwarding": [
{
"id": "<string>",
"contactId": "<string>",
"address": "<string>",
"email": "<string>",
"phone": "<string>",
"notes": "<string>",
"supersedesId": "<string>",
"supersededById": "<string>",
"recordedByUserId": "<string>",
"recordedAt": "<string>",
"redactedAt": "<string>",
"redactedReason": "<string>"
}
],
"evidence": [
{
"id": "<string>",
"documentId": "<string>",
"role": "inventory",
"note": "<string>",
"name": "<string>",
"kind": "<string>",
"archivedAt": "<string>",
"purged": true,
"linkedByUserId": "<string>",
"linkedAt": "<string>"
}
],
"history": [
{
"id": "<string>",
"action": "<string>",
"detail": {},
"actorUserId": "<string>",
"createdAt": "<string>"
}
],
"createdAt": "<string>",
"updatedAt": "<string>"
},
"checkIn": {
"id": "<string>",
"reference": "<string>",
"status": "due",
"outcome": "satisfactory",
"dueOn": "<string>",
"bookedFor": "<string>",
"completedAt": "<string>",
"findingCount": 123,
"followUpCount": 123
},
"checkOut": {
"id": "<string>",
"reference": "<string>",
"status": "due",
"outcome": "satisfactory",
"dueOn": "<string>",
"bookedFor": "<string>",
"completedAt": "<string>",
"findingCount": 123,
"followUpCount": 123
},
"inspectionsReadable": true,
"followUps": [
{
"findingId": "<string>",
"area": "<string>",
"item": "<string>",
"repair": {
"id": "<string>",
"reference": "<string>",
"status": "<string>"
},
"task": {
"id": "<string>",
"title": "<string>",
"status": "<string>",
"dueOn": "<string>"
}
}
],
"keys": {
"held": [
{
"id": "<string>",
"reference": "<string>",
"label": "<string>",
"unitId": "<string>",
"status": "in_office",
"sequence": 123,
"holderType": "<string>",
"holderContactId": "<string>",
"holderName": "<string>",
"tenancyId": "<string>"
}
],
"ambiguous": [
{
"id": "<string>",
"reference": "<string>",
"label": "<string>",
"unitId": "<string>",
"status": "in_office",
"sequence": 123,
"holderType": "<string>",
"holderContactId": "<string>",
"holderName": "<string>",
"tenancyId": "<string>"
}
],
"available": [
{
"id": "<string>",
"reference": "<string>",
"label": "<string>",
"unitId": "<string>",
"status": "in_office",
"sequence": 123,
"holderType": "<string>",
"holderContactId": "<string>",
"holderName": "<string>",
"tenancyId": "<string>"
}
],
"otherActiveTenancyIds": [
"<string>"
]
},
"outstanding": [
{
"code": "check_in_missing",
"direction": "move_in",
"message": "<string>",
"count": 123
}
]
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}Authorizations
A workspace API key (Settings → API keys), scoped to <group>:read / <group>:write.
Path Parameters
Response
Success
Available options:
active, notice_given, ended Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes